//
//  SUConstants.h
//  Sparkle
//
//  Created by Andy Matuschak on 3/16/06.
//  Copyright 2006 Andy Matuschak. All rights reserved.
//


#ifndef SUCONSTANTS_H
#define SUCONSTANTS_H

#include "SUExport.h"

// -----------------------------------------------------------------------------
//	Misc:
// -----------------------------------------------------------------------------

extern const NSTimeInterval SUMinimumUpdateCheckInterval;
extern const NSTimeInterval SUDefaultUpdateCheckInterval;

extern NSString *const SUBundleIdentifier;

// -----------------------------------------------------------------------------
//	Notifications:
// -----------------------------------------------------------------------------

extern NSString *const SUTechnicalErrorInformationKey;

// -----------------------------------------------------------------------------
//	PList keys::
// -----------------------------------------------------------------------------

SU_EXPORT extern NSString *const SUFeedURLKey;
SU_EXPORT extern NSString *const SUDownloadURLKey;
SU_EXPORT extern NSString *const SUHasLaunchedBeforeKey;
SU_EXPORT extern NSString *const SUShowReleaseNotesKey;
SU_EXPORT extern NSString *const SUSkippedVersionKey;
SU_EXPORT extern NSString *const SUScheduledCheckIntervalKey;
SU_EXPORT extern NSString *const SULastCheckTimeKey;
SU_EXPORT extern NSString *const SUExpectsDSASignatureKey;
SU_EXPORT extern NSString *const SUPublicDSAKeyKey;
SU_EXPORT extern NSString *const SUPublicDSAKeyFileKey;
SU_EXPORT extern NSString *const SUAutomaticallyUpdateKey;
SU_EXPORT extern NSString *const SUAllowsAutomaticUpdatesKey;
SU_EXPORT extern NSString *const SUEnableAutomaticChecksKey;
SU_EXPORT extern NSString *const SUEnableAutomaticChecksKeyOld;
SU_EXPORT extern NSString *const SUEnableSystemProfilingKey;
SU_EXPORT extern NSString *const SUSendProfileInfoKey;
SU_EXPORT extern NSString *const SULastProfileSubmitDateKey;
SU_EXPORT extern NSString *const SUPromptUserOnFirstLaunchKey;
SU_EXPORT extern NSString *const SUKeepDownloadOnFailedInstallKey;
SU_EXPORT extern NSString *const SUDefaultsDomainKey;
extern NSString *const SUFixedHTMLDisplaySizeKey __attribute__((deprecated("This key is obsolete and has no effect.")));

SU_EXPORT extern NSString *const SUAppendVersionNumberKey;
SU_EXPORT extern NSString *const SUEnableAutomatedDowngradesKey;
SU_EXPORT extern NSString *const SUNormalizeInstalledApplicationNameKey;
SU_EXPORT extern NSString *const SURelaunchToolNameKey;

// -----------------------------------------------------------------------------
//	Appcast keys::
// -----------------------------------------------------------------------------

extern NSString *const SUAppcastAttributeDeltaFrom;
extern NSString *const SUAppcastAttributeDSASignature;
extern NSString *const SUAppcastAttributeShortVersionString;
extern NSString *const SUAppcastAttributeVersion;

extern NSString *const SUAppcastElementCriticalUpdate;
extern NSString *const SUAppcastElementDeltas;
extern NSString *const SUAppcastElementMinimumSystemVersion;
extern NSString *const SUAppcastElementMaximumSystemVersion;
extern NSString *const SUAppcastElementReleaseNotesLink;
extern NSString *const SUAppcastElementTags;

extern NSString *const SURSSAttributeURL;

extern NSString *const SURSSElementDescription;
extern NSString *const SURSSElementEnclosure;
extern NSString *const SURSSElementLink;
extern NSString *const SURSSElementPubDate;
extern NSString *const SURSSElementTitle;

#endif
